Bug 102954 - textproc/urlview: switch from netscape to one gecko.
Summary: textproc/urlview: switch from netscape to one gecko.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David E. O'Brien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-06 22:40 UTC by Thierry Thomas
Modified: 2009-12-03 22:50 UTC (History)
1 user (show)

See Also:


Attachments
urlview.diff (3.33 KB, patch)
2006-09-06 22:40 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2006-09-06 22:40:20 UTC
	urlview tries to run netscape...

	Use bsd.gecko.mk to set GECKO if WITH_GECKO is set, or default
	to firefox, and respect X11BASE.

Fix: Please apply the following patch:
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2006-09-06 22:40:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer
Comment 2 dfilter service freebsd_committer 2009-11-29 08:24:58 UTC
obrien      2009-11-29 08:24:50 UTC

  FreeBSD ports repository

  Modified files:
    textproc/urlview     Makefile pkg-plist 
    textproc/urlview/files patch-url_handler.sh 
  Added files:
    textproc/urlview/files gecko.sh.in 
  Log:
  + Use bsd.gecko.mk to set GECKO, if WITH_GECKO is set, or default to firefox.
  + Respect X11BASE.
  
  PR:             102954
  Submitted by:   Thierry Thomas <thierry@@pompo.net>
  
  Revision  Changes    Path
  1.22      +15 -3     ports/textproc/urlview/Makefile
  1.1       +5 -0      ports/textproc/urlview/files/gecko.sh.in (new)
  1.2       +3 -2      ports/textproc/urlview/files/patch-url_handler.sh
  1.5       +2 -1      ports/textproc/urlview/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 David E. O'Brien freebsd_committer 2009-11-29 08:25:38 UTC
State Changed
From-To: open->closed

Committed.  Thanks!
Comment 4 Jason 2009-12-01 20:01:04 UTC
In this approach, you can't install with gecko for firefox, and firefox35
isn't an accepted option.

  urlview is using firefox for gecko support, but you can
  change that by defining WITH_GECKO to the following values:

    firefox 
    seamonkey 
    mozilla 

===>  Extracting for urlview-0.9_3
=> MD5 Checksum OK for urlview-0.9.tar.gz.
=> SHA256 Checksum OK for urlview-0.9.tar.gz.
===>  Patching for urlview-0.9_3
===>  Applying FreeBSD patches for urlview-0.9_3
===>   urlview-0.9_3 depends on file:
/usr/local/lib/firefox/libgtkembedmoz.so - not found
===>    Verifying install for /usr/local/lib/firefox/libgtkembedmoz.so in
/usr/ports/www/firefox
===>  firefox-2.0.0.20_9,1 is forbidden: too many security issues
http://www.vuxml.org/freebsd/922d2398-9e2d-11de-a998-0030843d3802.html
http://www.vuxml.org/freebsd/49e8f2ee-8147-11de-a994-0030843d3802.html.
*** Error code 1

Stop in /usr/ports/www/firefox.
*** Error code 1

Stop in /usr/ports/textproc/urlview.


----
Jason
Comment 5 Thierry Thomas freebsd_committer 2009-12-01 21:14:47 UTC
On Mar  1 dec 09 at 21:01:04 +0100, Jason <jhelfman@e-e.com>
 wrote:
> In this approach, you can't install with gecko for firefox, and firefox35
> isn't an accepted option.

You're right, the submitted patch is rotten... It was OK when submitted
in 2006, but the gecko's selection mechanism is just beeing rewritten.
(beat@ added to Cc:)

Best regards,
-- 
Th. Thomas.
Comment 6 Thierry Thomas freebsd_committer 2009-12-01 21:14:47 UTC
On Mar  1 dec 09 at 21:01:04 +0100, Jason <jhelfman@e-e.com>
 wrote:
> In this approach, you can't install with gecko for firefox, and firefox35
> isn't an accepted option.

You're right, the submitted patch is rotten... It was OK when submitted
in 2006, but the gecko's selection mechanism is just beeing rewritten.
(beat@ added to Cc:)

Best regards,
-- 
Th. Thomas.
Comment 7 Thierry Thomas freebsd_committer 2009-12-03 22:43:31 UTC
On Tue  1 dec 09 at 22:14:47 +0100, Thierry Thomas <thierry@FreeBSD.org>
 wrote:
> On Mar  1 dec 09 at 21:01:04 +0100, Jason <jhelfman@e-e.com>
>  wrote:
> > In this approach, you can't install with gecko for firefox, and firefox35
> > isn't an accepted option.
> 
> You're right, the submitted patch is rotten... It was OK when submitted
> in 2006, but the gecko's selection mechanism is just beeing rewritten.
> (beat@ added to Cc:)

I have submitted another PR to fix the problems. Please see PR ports/141148:

<http://www.freebsd.org/cgi/query-pr.cgi?pr=141148>

Regards,
-- 
Th. Thomas.
Comment 8 Thierry Thomas freebsd_committer 2009-12-03 22:43:31 UTC
On Tue  1 dec 09 at 22:14:47 +0100, Thierry Thomas <thierry@FreeBSD.org>
 wrote:
> On Mar  1 dec 09 at 21:01:04 +0100, Jason <jhelfman@e-e.com>
>  wrote:
> > In this approach, you can't install with gecko for firefox, and firefox35
> > isn't an accepted option.
> 
> You're right, the submitted patch is rotten... It was OK when submitted
> in 2006, but the gecko's selection mechanism is just beeing rewritten.
> (beat@ added to Cc:)

I have submitted another PR to fix the problems. Please see PR ports/141148:

<http://www.freebsd.org/cgi/query-pr.cgi?pr=141148>

Regards,
-- 
Th. Thomas.